Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

admin/unhandledbugs.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: unhandledbugs.php 6208 2001-07-19 12:29:04Z jakobn $
5 //
6 // Created on: <27-Nov-2000 22:18:56 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezbug/classes/ezbugcategory.php" );
28 // include_once( "ezbug/classes/ezbugmodule.php" );
29 // include_once( "ezbug/classes/ezbug.php" );
30
31 // include_once( "ezuser/classes/ezuser.php" );
32
33 // include_once( "classes/eztemplate.php" );
34 // include_once( "classes/INIFile.php" );
35
36 $t = new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
37 "kernel/ezbug/admin/intl", $Language, "unhandledbugs.php" );
38 $errorIni = new eZINI( "kernel/ezbug/admin/intl/" . $Language . "/unhandledbugs.php.ini", false );
39
40 $t->set_file( array(
41 "unhandled_bugs_tpl" => "unhandledbugs.tpl"
42 ) );
43
44 $t->setAllStrings();
45
46 $t->set_block( "unhandled_bugs_tpl", "bug_tpl", "bug" );
47
48 $t->set_var( "site_style", $SiteDesign );
49
50 $bug = new eZBug();
51
52 $unhandleBugs =& $bug->getUnhandled();
53
54 $t->set_var( "bug", "" );
55
56 $i=0;
57 foreach ( $unhandleBugs as $bug )
58 {
59 if ( ( $i % 2 ) == 0 )
60 {
61 $t->set_var( "td_class", "bglight" );
62 }
63 else
64 {
65 $t->set_var( "td_class", "bgdark" );
66 }
67
68 $t->set_var( "bug_id", $bug->id(), "&nbsp;" );
69 $t->set_var( "bug_name", $bug->name() , "&nbsp;" );
70
71 $module = $bug->module();
72 if ( $module )
73 $t->set_var( "bug_module_name", $module->name(), "&nbsp;" );
74 else
75 $t->set_var( "bug_module_name", "" );
76
77 $owner = $bug->user();
78
79 if( is_a( $owner,"eZUser") )
80 {
81 $t->set_var( "bug_submitter", $owner->name() , "&nbsp;" );
82 }
83 elseif ( $bug->userEmail() != false )
84 {
85 $t->set_var( "bug_submitter", $bug->userEmail() );
86 }
87 else
88 {
89 $errorMsg = $errorIni->variable( "strings", "unknown" );
90 $t->set_var( "bug_submitter", $errorMsg );
91 }
92
93 $t->parse( "bug", "bug_tpl", true );
94 $i++;
95 }
96
97 $t->pparse( "output", "unhandled_bugs_tpl" );
98
99 ?>
$t
$t
Definition: admin/unhandledbugs.php:36
$errorIni
$errorIni
Definition: admin/unhandledbugs.php:38
$bug
$bug
Definition: admin/unhandledbugs.php:50
$unhandleBugs
$unhandleBugs
Definition: admin/unhandledbugs.php:52
$i
$i
Definition: admin/unhandledbugs.php:56
$owner
$owner
Definition: bugedit.php:555
eZBug
Definition: ezbug.php:80
eZINI
Reads and writes .ini style configuration files.
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$module
$module
Definition: classes/admin/linkselect.php:219
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.